Skip to main content

Update an invoice

PATCH 

/invoices/:invoice_id

Draft invoices are fully editable. Once an invoice is finalized, Invoice and Invoice Items become uneditable.

Request

Path Parameters

    invoice_id uuidrequired

    Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

    Invoice's ID

Body

required

    customer_id uuid

    Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

    UUID v4

    due_date Unix timestamp

    Unix timestamp representing the date

Responses

Invoice updated successfully

Schema

    status string

    Possible values: [success]

    code integer

    Possible values: [200]

    message string

    Possible values: [Successful request]

Loading...